aboutsummaryrefslogtreecommitdiffstats
path: root/data/tools
diff options
context:
space:
mode:
authorCarsten Haitzler <raster@rasterman.com>2010-01-12 00:12:39 +0000
committerCarsten Haitzler <raster@rasterman.com>2010-01-12 00:12:39 +0000
commit3f2859757ec5044b9088cc6134e9f9c3f25c0012 (patch)
tree3cc83f35601eeb34814e1d2d188c55471a277caa /data/tools
parent4ebf5160ec9be004d74f2566e50d2d274c5cb58d (diff)
downloadenlightenment-3f2859757ec5044b9088cc6134e9f9c3f25c0012.tar.gz
enlightenment-3f2859757ec5044b9088cc6134e9f9c3f25c0012.tar.xz
enlightenment-3f2859757ec5044b9088cc6134e9f9c3f25c0012.zip
<dfjoerg> raster: care to review/apply a patch?
<raster> what patch? <dfjoerg> http://www.netbsd.org/~joerg/enlightenment_remote.diff <-- for e17 SVN revision: 45054
Diffstat (limited to 'data/tools')
-rw-r--r--data/tools/enlightenment_remote8
1 files changed, 2 insertions, 6 deletions
diff --git a/data/tools/enlightenment_remote b/data/tools/enlightenment_remote
index 1c3179be3..102d1307b 100644
--- a/data/tools/enlightenment_remote
+++ b/data/tools/enlightenment_remote
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
#
# See the function show_help_new_tool in order to know more about this tool
@@ -206,11 +206,7 @@ er_default_profile_set(){
# RETURNS: just finishes and exit
#===============================================================================
-for dir in $( echo $PATH | tr ':' ' ' )
-do
- test -x ${dir}/dbus-send && dbus_send_found=yes
-done
-if [[ "$dbus_send_found" != "yes" ]] ; then
+if ! type dbus-send > /dev/null 2>&1; then
echo "E: dbus-send command not found, please install it first"
exit 1
fi